<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{partSalesOrder.idOrder}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!partSalesOrder.idOrder">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="partSalesOrder.idOrder" readonly />
                    </div>

                    <div class="form-group">
                        <label jhiTranslate="mpmApp.partSalesOrder.internal" for="field_internal">Internal</label>
                        <select class="form-control" id="field_internal" name="internal" [(ngModel)]="partSalesOrder.internalId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.partSalesOrder.customer" for="field_customer">Customer</label>
                        <select class="form-control" id="field_customer" name="customer" [(ngModel)]="partSalesOrder.customerId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="customerOption.idCustomer" *ngFor="let customerOption of customers; trackBy: trackCustomerById">{{customerOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.partSalesOrder.billTo" for="field_billTo">Bill To</label>
                        <select class="form-control" id="field_billTo" name="billTo" [(ngModel)]="partSalesOrder.billToId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="billToOption.idbillto" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.id}}</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>